# -*- coding: utf-8 -*-
from setuphelpers import *



def update_package():
    # Declaring local variables
    result = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    app_name = control.name
    url = "https://www.wireshark.org/download.html"

    bin_ends = "64.dmg"
    bin_contains = "Wireshark"
    arch_dict ={
        'arm':'.dmg',
    }

    # Getting latest version from official sources
    print("URL used is: %s" % url)
    for bs_search in bs_find_all(url, "a", proxies=proxies, timeout=10):
        if bin_contains in bs_search["href"]  and bin_ends in bs_search["href"] and arch_dict[control.architecture] in bs_search["href"] and not "Intel" in bs_search["href"]:
            version = bs_search["href"].split("20")[-3].replace("%","")
            latest_bin = bs_search["href"].split("/")[-1]
            download_url = bs_search["href"]
            break

    print("Latest %s version is: %s" % (app_name, version))
    print("Download URL is: %s" % download_url)

     #nettoyer les fichiers temporaires
    for f in glob.glob('*.dmg'):
        if f != latest_bin:
            remove_file(f)

    # Downloading latest binaries
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, connect_timeout=100, proxies=proxies)


    control.set_software_version(version)
    control.save_control_to_wapt()
